petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchGetType

Gets the current line search algorithm

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchGetType(TaoLineSearch ls, const TaoLineSearchType *type)

Not Collective Many br

### Input Parameter

ls -the TaoLineSearch context Many br

### Output Paramter

type -the line search algorithm in effect Many br

Many br

Level:developer
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages